curl "https://api.scanova.io/custom-domain/42/ssl-certificate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"status": "ISSUED",
"expiry_status": "healthy",
"days_until_expiry": 82,
"issued_at": "2026-08-01T00:00:00Z",
"expires_at": "2026-11-01T00:00:00Z"
}
Dominios personalizados
Obtener el estado del certificado SSL
GET /custom-domain//ssl-certificate/
GET
/
custom-domain
/
{pk}
/
ssl-certificate
/
curl "https://api.scanova.io/custom-domain/42/ssl-certificate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"status": "ISSUED",
"expiry_status": "healthy",
"days_until_expiry": 82,
"issued_at": "2026-08-01T00:00:00Z",
"expires_at": "2026-11-01T00:00:00Z"
}
Obtiene el estado del certificado SSL de un dominio, en el host de la API de gestión (
Si aún no se ha subido ningún certificado,
api.scanova.io), autenticado con su clave de API de gestión sin procesar.
GET https://api.scanova.io/custom-domain/{pk}/ssl-certificate/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
Solo Enterprise. Requiere la cuota
CUSTOM_DOMAIN_CUSTOM_SSL, que se otorga manualmente — ningún plan de autoservicio la incluye.integer
requerido
El
id del dominio.curl "https://api.scanova.io/custom-domain/42/ssl-certificate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"status": "ISSUED",
"expiry_status": "healthy",
"days_until_expiry": 82,
"issued_at": "2026-08-01T00:00:00Z",
"expires_at": "2026-11-01T00:00:00Z"
}
status y expiry_status se devuelven como null. 403 si a la cuenta le falta la cuota CUSTOM_DOMAIN_CUSTOM_SSL; 404 si pk no es un dominio propiedad de esta cuenta.
Relacionado
- Subir un certificado SSL — activar un certificado para este dominio.
- Crear una solicitud de certificado SSL — la CSR con la que debe coincidir un certificado aquí.
- Resumen de la API de gestión — el esquema de autenticación y las reglas de cuota aplicables a este endpoint.
Autorizaciones
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Parámetros de ruta
Respuesta
Certificate status, or nulls if none uploaded yet.
¿Esta página le ayudó?